\ifdefined\draft % Draft:
\documentclass[sigconf, authordraft, review, table]{acmart}
\else % Production:
% NOTE We need to add table because acmart loads xcolor and we want to append
% the option table to xcolor to be able to have colored table cells.
\documentclass[sigconf, table, anonymous]{acmart}
\fi
% \IEEEoverridecommandlockouts
% The preceding line is only needed to identify funding in the first footnote. If that is unneeded, please comment it out.
\usepackage[T1]{fontenc}
\usepackage{amsmath,amssymb,amsfonts}
\usepackage{graphicx}
\usepackage{textcomp}
% \usepackage[table]{xcolor}
\usepackage[binary-units = true]{siunitx}
\usepackage{subfig}
\usepackage{algpseudocode}
\usepackage{url}
\usepackage{pgfplots}
\usepackage{color}
\usepackage{diagbox}
\usepackage{enumerate}
\usepackage{paralist}
\usepackage{xfrac}
\graphicspath{{figs/PDF/}}


\newcommand{\step}[3]{$\varphi_{#1}(#2, #3)$}
\newcommand{\stepeight}[1]{$\varphi_#1$}
\definecolor{blue_grey}{RGB}{96, 125, 139}
\definecolor{blue_grey_200}{RGB}{176, 190, 197}

\begin{document}
	\title{MemOpLight: Leveraging applicative feedback to improve container memory consolidation}

	\author{Francis Laniel}
	\affiliation{Sorbonne Université, CNRS, Inria, LIP6, DELYS Team, F-75005 Paris, France}
	\email{francis.laniel@lip6.fr}

	\author{Damien Carver}
	\affiliation{Sorbonne Université, CNRS, Inria, LIP6, DELYS Team, F-75005 Paris, France}
	\email{damien.carver@lip6.fr}

	\author{Julien Sopena}
	\affiliation{Sorbonne Université, CNRS, Inria, LIP6, DELYS Team, F-75005 Paris, France}
	\email{julien.sopena@lip6.fr}

	\author{Franck Wajsburt}
	\affiliation{Sorbonne Université, CNRS, LIP6, F-75005 Paris, France}
	\email{franck.wajsburt@lip6.fr}

	\author{Jonathan Lejeune}
	\affiliation{Sorbonne Université, CNRS, Inria, LIP6, DELYS Team, F-75005 Paris, France}
	\email{jonathan.lejeune@lip6.fr}

	\author{Marc Shapiro}
	\affiliation{Sorbonne Université, CNRS, Inria, LIP6, DELYS Team, F-75005 Paris, France}
	\email{marc.shapiro@lip6.fr}

	\acmConference{ICPP’20}{August 17--20, 2020}{Edmonton, Canada}

	\begin{abstract}
		The container mechanism supports consolidating several servers onto the same machine, thus amortizing cost.
		To ensure performance isolation between containers, Linux relies on memory limits.
		These limits are static, despite the fact that application needs are dynamic; this results in poor performance.
		To solve this issue, MemOpLight uses dynamic applicative feedback to rebalance physical memory allocation between containers focusing under-performing ones, with the aim of improving overall performance.
		This paper presents the issues, explains the design of MemOpLight, and validates it experimentally.
		Our approach increases total satisfaction by 13\% compared to the default.
	\end{abstract}

	\begin{CCSXML}
		<ccs2012>
			<concept>
				<concept_id>10010520.10010521.10010537.10003100</concept_id>
				<concept_desc>Computer systems organization~Cloud computing</concept_desc>
				<concept_significance>300</concept_significance>
			</concept>
			<concept>
				<concept_id>10011007.10010940.10010941.10010949.10010950</concept_id>
				<concept_desc>Software and its engineering~Memory management</concept_desc>
				<concept_significance>500</concept_significance>
			</concept>
			<concept>
				<concept_id>10011007.10010940.10010941.10010949.10010950.10010953</concept_id>
				<concept_desc>Software and its engineering~Allocation / deallocation strategies</concept_desc>
				<concept_significance>500</concept_significance>
			</concept>
		</ccs2012>
	\end{CCSXML}

	\ccsdesc[300]{Computer systems organization~Cloud computing}
	\ccsdesc[500]{Software and its engineering~Memory management}
	\ccsdesc[500]{Software and its engineering~Allocation / deallocation strategies}

	\maketitle

	\ifdefined\draft % Draft:
		\onecolumn
	\fi

	\input{TEX/intro.tex}
	\input{TEX/technical_background.tex}
	\input{TEX/problem.tex}
	\input{TEX/solution.tex}
	\input{TEX/evaluation.tex}
	\input{TEX/related.tex}
	\input{TEX/conclusion.tex}

	\bibliographystyle{ACM-Reference-Format}
	\bibliography{acmart,icpp}
\end{document}